// Copyright 2012-2014, Philip Quinn. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
//  TSPointerController.h
//  PointingScrollSimulator
//

#import <Foundation/Foundation.h>

enum {
    TSStrokeDown = 0,
    TSSStrokeDown = 1
};
typedef unsigned TSStrokeDirection;

@interface TSPointerController : NSObject {
    CGRect _simulatorFrame;    
}

@property (assign) IBOutlet NSTextField *connectionTextView;
@property (assign) IBOutlet NSButton *scrollButton;
@property (assign) IBOutlet NSWindow *window;

@property (assign) unsigned strokes;                    // number of strokes
@property (assign) unsigned strokeLength;               // length of each stroke (px)
@property (assign) float strokeVelocity;                // px per ms
@property (assign) TSStrokeDirection strokeDirection;   // stroke direction
@property (assign) unsigned strokeInterval;             // time between strokes (ms)
@property (assign) unsigned dwellTime;                  // time to remain in contact after stroke before lifting (ms)

-(IBAction)scanForSimulator:(id)sender;
-(IBAction)startScrolling:(id)sender;
@end
